kr.co.hanwha.hifive.util

## Class HFActivityUtil

- java.lang.Object
- - kr.co.hanwha.hifive.util.HFActivityUtil

-     public class HFActivityUtil
      extends java.lang.Object

  Activity util Created by sanghoonkwon on 2018. 1. 10..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `INTENT_ADD_TASK_TYPE`
    `static java.lang.String` | `INTENT_AUTH_NUMBER`
    `static java.lang.String` | `INTENT_AUTH_NUMBER_REPEAT`
    `static java.lang.String` | `INTENT_ENCRYPTION`
    `static java.lang.String` | `INTENT_FINISH`
    `static java.lang.String` | `INTENT_FLAG`
    `static java.lang.String` | `INTENT_MEMBER_ID`
    `static java.lang.String` | `INTENT_NOTICE_NO`
    `static java.lang.String` | `INTENT_NOTICE_URL`
    `static java.lang.String` | `INTENT_PROJECT_ID`
    `static java.lang.String` | `INTENT_SEARCH_WORD`
    `static java.lang.String` | `INTENT_TASK_ID`
    `static java.lang.String` | `INTENT_TRACK_ID`
    `static java.lang.String` | `INTENT_URL`
    `static java.lang.String` | `INTENT_VISIBLE_SHARE`
    `static java.lang.String` | `INTENT_VISIBLE_SUBTITLE`
    `static java.lang.String` | `INTENT_VISIBLE_TITLE`
    `static java.lang.String` | `LAST_TAG`
    `static int` | `REQUEST_ADD_TASK`
    `static int` | `REQUEST_ADD_TASK_SELECT_CAMPAIGN`
    `static int` | `REQUEST_ADD_TASK_SELECT_MEMBER`
    `static int` | `REQUEST_EDIT_TASK`
    `static int` | `REQUEST_EDIT_TASK_REREQUEST`
    `static int` | `REQUEST_SET_EASYLOGIN_REPEAT`
    `static int` | `REQUEST_TASK_DETAIL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HFActivityUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `clearTag()`
    `static void` | `startAddTaskActivity(android.app.Activity activity)` Task 등록
    `static void` | `startAddTaskSelectCampaignActivity(android.app.Activity activity, int member_id)` Task 등록 - Campaign 선택
    `static void` | `startAddTaskSelectMemberActivity(android.app.Activity activity)` Task 등록 - Member 선택
    `static void` | `startAlarmActivity(android.app.Activity activity)` Alarm 목록
    `static void` | `startCheckAuthNumberActivity(android.app.Activity activity)` 간편 인증 - 로그인 완료후 백그라운드에서 진입시
    `static void` | `startCommonWebViewActivity(android.app.Activity activity, java.lang.String url)` Common Webview
    `static void` | `startCommonWebViewActivity(android.app.Activity activity, java.lang.String url, java.lang.String encryption)` Common Webview
    `static void` | `startCommonWebViewActivity(android.app.Activity activity, java.lang.String url, java.lang.String encryption, int project_id)` Common Webview
    `static void` | `startDashboardProjectActivity(android.app.Activity activity, int projectId)` DASHBOARD - Project 상세
    `static void` | `startEditTaskActivity(android.app.Activity activity, int taskId, int projectId)` Task 수정
    `static void` | `startEditTaskAndReRequestActivity(android.app.Activity activity, int taskId, int projectId)` Task 수정 후 재 요청
    `static void` | `startHelpdeskActivity(android.app.Activity activity)` 설정 - 도와줘요 개발팀
    `static void` | `startIntroActivity(android.app.Activity activity)`
    `static void` | `startIssueEditActivity(android.app.Activity activity, java.lang.String url, java.lang.String encryption, int project_id)` Common Webview
    `static void` | `startMainActivity(android.app.Activity activity)` Main 화면 구성
    `static void` | `startMainOKRActivity(android.app.Activity activity)` 개인 OKR
    `static void` | `startMainSettingDeleteSimplePasswordWebviewActivity(android.app.Activity activity)` SETTING - 간편 비밀번호 초기화
    `static void` | `startMainSettingEditPasswordWebviewActivity(android.app.Activity activity)` SETTING - 비밀번호 재설정
    `static void` | `startMainSettingEditProfileWebviewActivity(android.app.Activity activity)` SETTING - 개인정보 관리
    `static void` | `startMainSettingUnitWebviewActivity(android.app.Activity activity)` SETTING - 유닛 리스트(캡틴인 목록만)
    `static void` | `startNoticeWebViewActivity(android.app.Activity activity, java.lang.String url, int no)` 공지사항 WebView
    `static void` | `startRootActivity(android.app.Activity activity, boolean finish)` 앱 종료를 위한 Activity
    `static void` | `startSearchActivity(android.app.Activity activity)` 검색
    `static void` | `startSearchActivity(android.app.Activity activity, java.lang.String searchWord)` 검색
    `static void` | `startSetEasyLoginActivity(android.app.Activity activity)` 간편 로그인 설정
    `static void` | `startSetEasyLoginRepeatActivity(android.app.Activity activity, java.lang.String password)`
    `static void` | `startSettingScreenActivity(android.app.Activity activity)` 설정 - 기본 화면
    `static void` | `startSignupActivity(android.app.Activity activity)` Common Webview
    `static void` | `startTaskDetailActivity(android.app.Activity activity, int task_id, int project_id, int track_id)` TASK 상세
    `static void` | `startTaskDetailActivity(android.app.Activity activity, TaskData taskData)` TASK 상세
    `static void` | `startUrl(android.content.Context context, java.lang.String url)` Action View : URL

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REQUEST_ADD_TASK_SELECT_MEMBER

          public static final int REQUEST_ADD_TASK_SELECT_MEMBER

      See Also:
        Constant Field Values

    - #### REQUEST_ADD_TASK_SELECT_CAMPAIGN

          public static final int REQUEST_ADD_TASK_SELECT_CAMPAIGN

      See Also:
        Constant Field Values

    - #### REQUEST_ADD_TASK

          public static final int REQUEST_ADD_TASK

      See Also:
        Constant Field Values

    - #### REQUEST_EDIT_TASK

          public static final int REQUEST_EDIT_TASK

      See Also:
        Constant Field Values

    - #### REQUEST_EDIT_TASK_REREQUEST

          public static final int REQUEST_EDIT_TASK_REREQUEST

      See Also:
        Constant Field Values

    - #### REQUEST_TASK_DETAIL

          public static final int REQUEST_TASK_DETAIL

      See Also:
        Constant Field Values

    - #### REQUEST_SET_EASYLOGIN_REPEAT

          public static final int REQUEST_SET_EASYLOGIN_REPEAT

      See Also:
        Constant Field Values

    - #### INTENT_FINISH

          public static final java.lang.String INTENT_FINISH

      See Also:
        Constant Field Values

    - #### INTENT_ADD_TASK_TYPE

          public static final java.lang.String INTENT_ADD_TASK_TYPE

      See Also:
        Constant Field Values

    - #### INTENT_TASK_ID

          public static final java.lang.String INTENT_TASK_ID

      See Also:
        Constant Field Values

    - #### INTENT_PROJECT_ID

          public static final java.lang.String INTENT_PROJECT_ID

      See Also:
        Constant Field Values

    - #### INTENT_TRACK_ID

          public static final java.lang.String INTENT_TRACK_ID

      See Also:
        Constant Field Values

    - #### INTENT_FLAG

          public static final java.lang.String INTENT_FLAG

      See Also:
        Constant Field Values

    - #### INTENT_SEARCH_WORD

          public static final java.lang.String INTENT_SEARCH_WORD

      See Also:
        Constant Field Values

    - #### INTENT_AUTH_NUMBER_REPEAT

          public static final java.lang.String INTENT_AUTH_NUMBER_REPEAT

      See Also:
        Constant Field Values

    - #### INTENT_AUTH_NUMBER

          public static final java.lang.String INTENT_AUTH_NUMBER

      See Also:
        Constant Field Values

    - #### INTENT_URL

          public static final java.lang.String INTENT_URL

      See Also:
        Constant Field Values

    - #### INTENT_VISIBLE_SHARE

          public static final java.lang.String INTENT_VISIBLE_SHARE

      See Also:
        Constant Field Values

    - #### INTENT_VISIBLE_TITLE

          public static final java.lang.String INTENT_VISIBLE_TITLE

      See Also:
        Constant Field Values

    - #### INTENT_VISIBLE_SUBTITLE

          public static final java.lang.String INTENT_VISIBLE_SUBTITLE

      See Also:
        Constant Field Values

    - #### INTENT_MEMBER_ID

          public static final java.lang.String INTENT_MEMBER_ID

      See Also:
        Constant Field Values

    - #### INTENT_NOTICE_NO

          public static final java.lang.String INTENT_NOTICE_NO

      See Also:
        Constant Field Values

    - #### INTENT_NOTICE_URL

          public static final java.lang.String INTENT_NOTICE_URL

      See Also:
        Constant Field Values

    - #### INTENT_ENCRYPTION

          public static final java.lang.String INTENT_ENCRYPTION

      See Also:
        Constant Field Values

    - #### LAST_TAG

          public static java.lang.String LAST_TAG

  - ### Constructor Detail

    - #### HFActivityUtil

          public HFActivityUtil()

  - ### Method Detail

    - #### clearTag

          public static void clearTag()

    - #### startRootActivity

          public static void startRootActivity(@NonNull
                                               android.app.Activity activity,
                                               boolean finish)

      앱 종료를 위한 Activity
      Parameters:
        `activity` - Activity
        `finish` - boolean

    - #### startCheckAuthNumberActivity

          public static void startCheckAuthNumberActivity(@NonNull
                                                          android.app.Activity activity)

      간편 인증 - 로그인 완료후 백그라운드에서 진입시

    - #### startIntroActivity

          public static void startIntroActivity(@NonNull
                                                android.app.Activity activity)

      Parameters:
        `activity` - Activity

    - #### startUrl

          public static void startUrl(@NonNull
                                      android.content.Context context,
                                      java.lang.String url)
                               throws java.lang.Exception

      Action View : URL
      Parameters:
        `context` - Context
        `url` - URL
      Throws:
        `java.lang.Exception`

    - #### startMainSettingUnitWebviewActivity

          public static void startMainSettingUnitWebviewActivity(@NonNull
                                                                 android.app.Activity activity)

      SETTING - 유닛 리스트(캡틴인 목록만)

    - #### startMainSettingEditProfileWebviewActivity

          public static void startMainSettingEditProfileWebviewActivity(@NonNull
                                                                        android.app.Activity activity)

      SETTING - 개인정보 관리

    - #### startMainSettingEditPasswordWebviewActivity

          public static void startMainSettingEditPasswordWebviewActivity(@NonNull
                                                                         android.app.Activity activity)

      SETTING - 비밀번호 재설정
      Parameters:
        `activity` - Activity

    - #### startMainSettingDeleteSimplePasswordWebviewActivity

          public static void startMainSettingDeleteSimplePasswordWebviewActivity(@NonNull
                                                                                 android.app.Activity activity)

      SETTING - 간편 비밀번호 초기화
      Parameters:
        `activity` - Activity

    - #### startSettingScreenActivity

          public static void startSettingScreenActivity(@NonNull
                                                        android.app.Activity activity)

      설정 - 기본 화면
      Parameters:
        `activity` - Activity

    - #### startHelpdeskActivity

          public static void startHelpdeskActivity(@NonNull
                                                   android.app.Activity activity)

      설정 - 도와줘요 개발팀
      Parameters:
        `activity` - Activity

    - #### startCommonWebViewActivity

          public static void startCommonWebViewActivity(@NonNull
                                                        android.app.Activity activity,
                                                        @NonNull
                                                        java.lang.String url)

      Common Webview
      Parameters:
        `activity` - Activity

    - #### startCommonWebViewActivity

          public static void startCommonWebViewActivity(@NonNull
                                                        android.app.Activity activity,
                                                        @NonNull
                                                        java.lang.String url,
                                                        @Nullable
                                                        java.lang.String encryption)

      Common Webview
      Parameters:
        `activity` - Activity

    - #### startCommonWebViewActivity

          public static void startCommonWebViewActivity(@NonNull
                                                        android.app.Activity activity,
                                                        @NonNull
                                                        java.lang.String url,
                                                        @Nullable
                                                        java.lang.String encryption,
                                                        @Nullable
                                                        int project_id)

      Common Webview
      Parameters:
        `activity` - Activity

    - #### startNoticeWebViewActivity

          public static void startNoticeWebViewActivity(@NonNull
                                                        android.app.Activity activity,
                                                        @NonNull
                                                        java.lang.String url,
                                                        @NonNull
                                                        int no)

      공지사항 WebView
      Parameters:
        `activity` - Activity
        `url` - URL
        `no` - 공지사항 NO

    - #### startIssueEditActivity

          public static void startIssueEditActivity(@NonNull
                                                    android.app.Activity activity,
                                                    @NonNull
                                                    java.lang.String url,
                                                    @Nullable
                                                    java.lang.String encryption,
                                                    @Nullable
                                                    int project_id)

      Common Webview
      Parameters:
        `activity` - Activity

    - #### startSignupActivity

          public static void startSignupActivity(@NonNull
                                                 android.app.Activity activity)

      Common Webview
      Parameters:
        `activity` - Activity

    - #### startSetEasyLoginActivity

          public static void startSetEasyLoginActivity(@NonNull
                                                       android.app.Activity activity)

      간편 로그인 설정
      Parameters:
        `activity` - Activity

    - #### startSetEasyLoginRepeatActivity

          public static void startSetEasyLoginRepeatActivity(@NonNull
                                                             android.app.Activity activity,
                                                             @NonNull
                                                             java.lang.String password)

    - #### startMainActivity

          public static void startMainActivity(@NonNull
                                               android.app.Activity activity)

      Main 화면 구성
      Parameters:
        `activity` - Activity

    - #### startTaskDetailActivity

          public static void startTaskDetailActivity(@NonNull
                                                     android.app.Activity activity,
                                                     @NonNull
                                                     TaskData taskData)

      TASK 상세
      Parameters:
        `activity` - Activity

    - #### startTaskDetailActivity

          public static void startTaskDetailActivity(@NonNull
                                                     android.app.Activity activity,
                                                     @NonNull
                                                     int task_id,
                                                     @NonNull
                                                     int project_id,
                                                     @Nullable
                                                     int track_id)

      TASK 상세
      Parameters:
        `activity` - Activity

    - #### startMainOKRActivity

          public static void startMainOKRActivity(@NonNull
                                                  android.app.Activity activity)

      개인 OKR
      Parameters:
        `activity` - Activity

    - #### startAddTaskActivity

          public static void startAddTaskActivity(@NonNull
                                                  android.app.Activity activity)

      Task 등록
      Parameters:
        `activity` - Activity

    - #### startEditTaskActivity

          public static void startEditTaskActivity(@NonNull
                                                   android.app.Activity activity,
                                                   @NonNull
                                                   int taskId,
                                                   @NonNull
                                                   int projectId)

      Task 수정
      Parameters:
        `activity` - Activity

    - #### startEditTaskAndReRequestActivity

          public static void startEditTaskAndReRequestActivity(@NonNull
                                                               android.app.Activity activity,
                                                               @NonNull
                                                               int taskId,
                                                               @NonNull
                                                               int projectId)

      Task 수정 후 재 요청
      Parameters:
        `activity` - Activity

    - #### startAddTaskSelectMemberActivity

          public static void startAddTaskSelectMemberActivity(@NonNull
                                                              android.app.Activity activity)

      Task 등록 - Member 선택
      Parameters:
        `activity` - Activity

    - #### startAddTaskSelectCampaignActivity

          public static void startAddTaskSelectCampaignActivity(@NonNull
                                                                android.app.Activity activity,
                                                                int member_id)

      Task 등록 - Campaign 선택
      Parameters:
        `activity` - Activity
        `member_id` - 캠페인 조회할 멤버의 ID

    - #### startAlarmActivity

          public static void startAlarmActivity(@NonNull
                                                android.app.Activity activity)

      Alarm 목록
      Parameters:
        `activity` - Activity

    - #### startSearchActivity

          public static void startSearchActivity(@NonNull
                                                 android.app.Activity activity)

      검색
      Parameters:
        `activity` - Activity

    - #### startSearchActivity

          public static void startSearchActivity(@NonNull
                                                 android.app.Activity activity,
                                                 @Nullable
                                                 java.lang.String searchWord)

      검색
      Parameters:
        `activity` - Activity

    - #### startDashboardProjectActivity

          public static void startDashboardProjectActivity(@NonNull
                                                           android.app.Activity activity,
                                                           @Nullable
                                                           int projectId)

      DASHBOARD - Project 상세
      Parameters:
        `activity` - Activity
        `projectId` - Project ID